<manifest version="1.0" type="device" target-level="7">
   <hal format="hidl">
        <name>android.hardware.audio</name>
        <transport>hwbinder</transport>
        <version>7.1</version>
        <interface>
            <name>IDevicesFactory</name>
            <instance>default</instance>
        </interface>
   </hal>
   <hal format="hidl">
        <name>android.hardware.audio.effect</name>
        <transport>hwbinder</transport>
        <version>7.0</version>
        <interface>
            <name>IEffectsFactory</name>
            <instance>default</instance>
        </interface>
   </hal>
   <hal format="hidl">
        <name>android.hardware.soundtrigger</name>
        <transport>hwbinder</transport>
        <version>2.3</version>
        <interface>
            <name>ISoundTriggerHw</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>android.hardware.graphics.mapper</name>
        <transport arch="32+64">passthrough</transport>
        <version>4.0</version>
        <interface>
            <name>IMapper</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl">
        <name>android.hardware.dumpstate</name>
        <interface>
            <name>IDumpstateDevice</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>android.hardware.boot</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::IBootControl/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.neuralnetworks</name>
        <transport>hwbinder</transport>
        <version>1.3</version>
        <interface>
            <name>IDevice</name>
            <instance>google-armnn</instance>
        </interface>
        <fqname>@1.3::IDevice/google-armnn</fqname>
    </hal>
    <hal format="aidl">
        <name>com.google.input</name>
        <interface>
            <name>ITouchContextService</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
       <name>vendor.google.whitechapel.audio.audioext</name>
       <transport>hwbinder</transport>
       <version>3.0</version>
       <interface>
           <name>IAudioExt</name>
           <instance>default</instance>
       </interface>
    </hal>
    <hal format="hidl">
       <name>vendor.google.audiometricext</name>
       <transport>hwbinder</transport>
       <version>1.0</version>
       <interface>
           <name>IAudioMetricExt</name>
           <instance>default</instance>
       </interface>
    </hal>
</manifest>
